Skip to main content
PATCH
/
v1
/
apps
/
{appId}
Update app
curl --request PATCH \
  --url https://api.agentmark.co/v1/apps/{appId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <api-key>' \
  --data '
{
  "entry_point": "<string>",
  "name": "<string>"
}
'
{
  "data": {
    "commit_sha": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "entry_point": "<string>",
    "fly_app_name": "<string>",
    "fly_machine_id": "<string>",
    "fly_machine_url": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "2023-11-07T05:31:56Z",
    "updated_by": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

appId
string<uuid>
required

Body

application/json
entry_point
string | null
Maximum string length: 255
name
string
Required string length: 1 - 100
runtime
enum<string>
Available options:
nodejs,
python

Response

App updated.

data
object
required